Ends a Worker assignment from a local date.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/work-schedule/assignments/workers/example/end"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"EffectiveFromLocalDate\": \"2026-04-15\", \"ExpectedChainVersion\": \"example\", \"Reason\": \"example\", \"OperationId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/work-schedule/assignments/workers/example/end';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"EffectiveFromLocalDate":"2026-04-15","ExpectedChainVersion":"example","Reason":"example","OperationId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/work-schedule/assignments/workers/example/end \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "EffectiveFromLocalDate": "2026-04-15", "ExpectedChainVersion": "example", "Reason": "example", "OperationId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Ends a Worker-to-Site/Calendar assignment.
object
Examplegenerated
{ "EffectiveFromLocalDate": "2026-04-15", "ExpectedChainVersion": "example", "Reason": "example", "OperationId": "example"}Ends a Worker-to-Site/Calendar assignment.
object
Examplegenerated
{ "EffectiveFromLocalDate": "2026-04-15", "ExpectedChainVersion": "example", "Reason": "example", "OperationId": "example"}Ends a Worker-to-Site/Calendar assignment.
object
Examplegenerated
{ "EffectiveFromLocalDate": "2026-04-15", "ExpectedChainVersion": "example", "Reason": "example", "OperationId": "example"}Responses
Section titled “Responses”OK
object
Assignment mutation result with a refreshed chain.
object
Effective state and paged immutable history for one assignment chain.
object
Field-safe reference to an operational catalog item.
object
One append-only assignment history row.
object
Field-safe reference to an operational catalog item.
object
Field-safe reference to a working calendar.
object
One append-only assignment history row.
object
Field-safe reference to an operational catalog item.
object
Field-safe reference to a working calendar.
object
Structured assignment diagnostic.
object
Server-computed actions for one assignment chain.
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}